mcopy(1)

NAZWA
mcopy - kopiuj pliki pomiędzy DOSem a Unixem

SKŁADNIA
mcopy [-b/ptnvmoQOsSrRA] plik_źródłowy plik_wynikowy
mcopy [-b/ptnvmoQOsSrRA] plik_źródłowy... katalog_docelowy
mcopy [-tnv] plik_źródłowy

OPIS
mcopy kopiuje podany plik na plik o zadanej nazwie lub kopiuje wiele plików do podanego katalogu. Źródło jak i cel mogą być zarówno plikami DOSu jak i Unixa.

Użycie litery napędu dla plików MS-DOSu, na przykład `a:', określa kierunek translacji. Brak określenia napędu oznacza plik Unixa, którego ścieżka rozpoczyna się w bieżącym katalogu. Jeśli podano literę napędu bez dołączenia do niej nazwy pliku, np.
        mcopy a: .
to kopiowane są wszystkie pliki z tego napędu.

Jeżeli podano jeden parametr źródła DOSu, np.
        mcopy a:foo.exe
to domniemanym celem jest katalog bieżący (`.').

Podanie jako nazwy pliku - oznacza standardowe wejście lub standardowe wyjście, w zależności od położenia w linii poleceń.

OPCJE

-b  Tryb wsadowy. Zoptymalizowany dla wielkich kopii rekurencyjnych, ale mniej bezpieczny w przypadku załamania podczas kopiowania.

-/  Kopiowanie rekurencyjne. Kopiuje również podkatalogi i ich zawartość.

-p  Zachowuje atrybuty kopiowanych plików.

-Q  Przy kopiowaniu wielu plików kończy pracę natychmiast po pierwszej nieudanej kopii (na przykład z powodu braku miejsca na dysku docelowym).

-t  Transfer plików tekstowych. mcopy zamienia napotkane znaki CR/LF (kończące linię w DOSie) na pojedynczy LF (kończący linię w Uniksie).

-n  Bez potwierdzania przy nadpisywaniu plików unixowych. mcopy nie ostrzega użytkownika o nadpisywaniu istniejącego pliku unixowego. Możesz wyłączyć potwierdzanie dla plików DOSu używając opcji -o.

-m  Zachowaj czas modyfikacji pliku. Jeśli plik docelowy istnieje a nie użyto opcji -n, to mcopy pyta czy nadpisywać plik czy też zmienić nazwę nowego pliku (patrz sekcja Kolizje nazw w mtools(1)).

BŁĘDY
W odróżnieniu od MS-DOSu nie jest obsługiwany operator + (dołącz). Można jednak użyć mtype, by osiągnąc ten sam efekt:
    mtype a:plik1 a:plik2 a:plik3 >plikunixa
    mtype a:plik1 a:plik2 a:plik3 | mcopy - a:plikdosu

UWAGI
Niniejsza, polska wersja dokumentacji, powstała jako tłumaczenie pliku Texinfo pakietu mtools wersji 3.9.6. W stosunku do automatycznie generowanej z Textinfo dokumentacji oryginalnej dokonano przesunięcia sekcji opisującej konwersję dokumentacji do mtools(1). Tam też znajdziesz notę prawną dotyczącą rozpowszechniania, modyfikacji i tłumaczenia dokumentacji pakietu mtools